import Middleware from '../base/http/Middleware';
import {NextFunction, Request, Response} from 'express';
import {$$} from '../base/i18n/i18n';
import StatusCodes from '../base/http/StatusCodes';

class InternalServerErrorHandler extends Middleware {
	protected order = 10000;
	protected route = null;
	protected action = (err: Error, req: Request, res: Response, next: NextFunction): any => {
		res.status(StatusCodes.INTERNAL_SERVER_ERROR).send($$('org.crazydoctor.expressts.httpError.500'));
	};
}

export default InternalServerErrorHandler;