import Middleware from '../base/http/Middleware';
import {NextFunction, Request, Response} from 'express';
import {$$} from '../base/i18n/i18n';
import StatusCodes from '../base/http/StatusCodes';

class NotFoundErrorHandler extends Middleware {
	protected order = 9999;
	protected route = null;
	protected action = (req: Request, res: Response, next: NextFunction): any => {
		res.status(StatusCodes.NOT_FOUND).send($$('org.crazydoctor.expressts.httpError.404', { url: req.url }));
	};
}

export default NotFoundErrorHandler;